import javax.swing.*;
import java.awt.*;

/**
 * Esta clase es el ejecutable principal del juego.
 * @author Ricardo Monascal
 **/
public class Main {

// Campos de la clase

	/**
	 * Medidas predeterminadas para el mundo de juego.
	 **/
	private static final Dimension MEDIDAS_MUNDO = new Dimension(500,620);

	/**
	 * Medidas predeterminadas para la ventana.
	 **/
	private static final Dimension MEDIDAS_VENTANA = new Dimension(500,620);

// Ejectuable

	/**
	 * Ejecutable, cuerpo principal del programa.
	 **/
	public static void main (String [] args) {
		
		JFrame frame = new JFrame("  Plaza Hero  ");
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frame.setPreferredSize(MEDIDAS_VENTANA);
		PlazaHeroPanel contenido = new PlazaHeroPanel(MEDIDAS_MUNDO);
		frame.setContentPane(contenido);
		frame.pack();
		frame.setLocationRelativeTo(null);
		frame.setVisible(true);
		contenido.setVisible(true);
		frame.setResizable(false);
		frame.addKeyListener(contenido);

	}

}